## petale 1.1-1~eob80+1

=== debian/changelog ===
petale (1.1-1~eob80+1) jessie-eobuilder; urgency=low

  * (c3dbb7) add setting to disable UUID check on authentic (fixes #21453)
  * (963582) django 1.11 support (fixes #21116)
  * (d04235) models: change path construction in petal_directory (fixes #21111)
  * (c39bf2) debian: add systemd service file and replace gunicorn by uwsgi (fixes
    #21114)
  * (d8887a) tox.ini: remove pytest-catchlog now part of pytest (fixes #21113)
  * (9f8b84) pylint.sh: remove debugging statements (#21113)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 26 Jan 2018 22:24:06 +0100

petale (1.0) jessie-eobuilder; urgency=low

  * (15dffd) make Cut.uuid unique (fixes #21002)
  * (726a22) setup.py: constrain djangorestframework version (fixes #21072)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 10 Jan 2018 14:19:53 +0100

petale (0.10) jessie-eobuilder; urgency=low

  * (567731) fix pylint warnings as exercise
  * (740870) tests: fix urllib3 warning about unverified HTTPS request
  * (10dd95) tests: fix deprecation warning
  * (3ad3bb) models: use kilobytes in size limits, use bigintegerfield for
    partner.size (fixes #19497)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 18 Oct 2017 16:53:51 +0200

petale (0.9) jessie-eobuilder; urgency=low

  * (a96838) ensure concurrent PUT does not raise an IntegrityError (fixes #19384)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 11 Oct 2017 18:23:13 +0200

petale (0.8) jessie-eobuilder; urgency=low

  * (361364) tox.ini: replace capturelog by catchlog
  * (2a1cec) api_views: test if file exists before returning the
    StreamingHttpResponse

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 27 Sep 2017 17:28:50 +0200

petale (0.7) jessie-eobuilder; urgency=low

  * (45f8b4) debian: crée /var/lib/petale/media
  * (430a9d) renvoyer key-not-found sur un GET d'une clé inconnue d'un pétale
    existant (fixes #17810)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 26 Jul 2017 16:14:13 +0200

petale (0.6) jessie-eobuilder; urgency=low

  * (078242) api_views: create CUT object when CUT is known from authentic but not
    from petale

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 26 Jul 2017 00:08:47 +0200

petale (0.5) jessie-eobuilder; urgency=low

  * (9a632a) debian_config: remove sentry support
  * (bdb0dc) debian_config: simplify log format since we do not have hobo log
    filters
  * (550120) api_views: do not check SSL certificate of authentic, we are in a
    walled garden
  * (f97405) api_views: log when a CUT id is unknown

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 21 Jul 2017 14:58:10 +0200

petale (0.4) jessie-eobuilder; urgency=low

  * (558d2f) enlarge CUT.uuid to accomodate encrypted pairwise subs (less thant 100
    bytes usually)
  * (8be9ce) api_views: use received credentials when checking cut_id on authentic
  * (0e65ac) authentication: log more, return error from authentic on credentials
    check
  * (5fc133) authentication: do not check SSL certificate, we are in a closed garden

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 21 Jul 2017 14:17:33 +0200

petale (0.3) jessie-eobuilder; urgency=low

  * (fc3b6e) add idp based cut control (#14976)
  * (cde048) api: add cut's petals purge (#17605)
  * (577ae9) fix: RP client saving after proxy authentication (#17548)
  * (7e9b9d) settings: remove typo in logging configuration (#16922)
  * (1daab6) misc: add requests dependancies
  * (a47fa1) deleguate authentication to authentic (#16579)
  * (481e05) return 404 if cut uuid length over 32 (#16649)
  * (7b242a) api: fix extraction of If-Match header in DELETE endpoint (fixes
    #15791)
  * (3db90a) api: handle PreconditionException in the DELETE endpoint (fixes #15791)
  * (942488) tests: clean temporary MEDIA_ROOT
  * (f745b5) fix typo (fixes #15705)
  * (fc7b09) fix exception handling for missing partners (#15685)
  * (014d6d) setup.py: fix missing sys import
  * (7c4421) setup.py: conform to PEP440
  * (efe31c) add french locale
  * (60b1b8) change Petal.__unicode__
  * (6e2856) improve models
  * (021a01) improve admin pages
  * (a3a56d) never returns cut-not-found until we really check against authentic
  * (6b88de) move implementation of limit checks and mail sending in models
  * (43f74d) do not load full request body into memory
  * (00a930) rename URL keywords
  * (561ee4) add migrations, rename model and fields
  * (74c9ac) clean everything

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 21 Jul 2017 10:53:43 +0200

petale (0.2) jessie-eobuilder; urgency=low

  * (d11cbe) filter keys by ACLs (fixes #15503)
  * (00026c) rename parameter ?filter= to ?prefix= (fixes #15510)
  * (5d6345) misc: fix jenkins tests
  * (4efbef) return Content-Length in GET response (#15274)
  * (2d324f) handle allowed methods in PetalPermission
  * (a74235) misc: strip etags content
  * (1d35d7) enforce size limitation control (#15350)
  * (6378c7) base ACL policy on prefix (#15282)
  * (038c6e) improve caching handling (#14974)
  * (f6afe0) return bad request error if content-type is missing
  * (c15f89) return 404 on HEAD if key not found (#15385)
  * (55ec2d) setup local log settings
  * (636ad1) misc: use functools as decorator
  * (a38617) add head method (#15368)
  * (ff22ef) log API requests and responses (#15366)
  * (809a49) handle if-none-match headers case (#15276)
  * (82002c) ensure ACL's key regex are valid (#15282)
  * (cc76ff) don't filter by content type when searching existing key (#15349)
  * (e3c8c3) return CUT Id associated keys (#15354)
  * (ec6cd0) return empty dict in deletion response (#15351)
  * (df82c2) setup errors reporting (#15341)
  * (a9a743) prefix etag header with <sha1> (#15275)
  * (2d883b) add identifiers name format control (#15273)
  * (ab24d9) improve binary file handling (#15280, #15281)
  * (df1098) change key response error message (#15277)
  * (19420d) set debian config MEDIA_ROOT
  * (1c0815) fix tests data hash comparison
  * (30d12d) add test data books.json
  * (bd0d67) add size limitation handling

