=== debian/control ===
Source: petale
Maintainer: Josue Kouka <jkouka@entrouvert.org>
Section: python
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>= 7), python-django, dh-systemd, dh-python
Standards-Version: 3.9.6
X-Python-Version: >= 2.7

Package: python-petale
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
    python-django (>= 1.8),
    python-django-jsonfield,
    python-djangorestframework,
    python-requests,
Description: Simple key value datastore

Package: petale
Architecture: all
Depends: ${misc:Depends},
    python-petale (= ${binary:Version}),
    python-psycopg2,
    uwsgi,
    uwsgi-plugin-python
Recommends: nginx
Description: Simple key value datastore
