=== debian/control ===
Source: petale
Maintainer: Benjamin Dauvergne <bdauvergne@entrouvert.org>
Section: python
Priority: optional
Build-Depends: python3-setuptools, python3-all, debhelper (>= 9), python3-django, dh-systemd, dh-python
Standards-Version: 3.9.6

Package: python3-petale
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
    python3-django (>= 1.11),
    python3-django-jsonfield,
    python3-djangorestframework,
    python3-requests,
    python3-atomicwrites
Description: Simple key value datastore

Package: petale
Architecture: all
Depends: ${misc:Depends},
    python3-petale (= ${binary:Version}),
    python3-psycopg2,
    uwsgi,
    uwsgi-plugin-python3
Breaks: python-petale (<< 1.2)
Replaces: python-petale (<< 1.2)
Recommends: nginx
Description: Simple key value datastore
