## petale 1.3.post1+g97c4831-1~eob100+1

=== debian/changelog ===
petale (1.3.post1+g97c4831-1~eob100+1) buster-eobuilder; urgency=low

  * (97c483) Jenkinsfile: use virtualenv and pg_virtualenv

 -- eobuilder <eobuilder@entrouvert.com>  Sat, 16 May 2020 12:31:03 +0200

petale (1.3) buster-eobuilder; urgency=low

  * (75dc1f) api_views: use atomicwrites for writing petale content (#41379)
  * (7b292a) api_views: use loop to prevent NFS errors on GET (#41379)
  * (9a2c6b) tests: test concurrent GET / PUT (#41379)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 09 Apr 2020 13:09:57 +0200

petale (1.2) buster-eobuilder; urgency=low

  * (763559) release 1.2
  * (37a010) debian: prevent install of python-petale (#41302)
  * (571965) debian: adapt debian_config.py for Python 3 (#41302)
  * (93ccbc) debian: python3 packaging (#41374)
  * (e030f6) python3: pass strings to json.loads, for py3.5 compatibility (#41302)
  * (b1e015) misc: style (#41302)
  * (4524cb) misc: python3 compatibility (#41302)
  * (f7d4dc) dj111: use MIDDLEWARE (#41302)
  * (3100df) dj111: do not use include (#41302)
  * (34d434) dj111: set on_delete=models.CASCADE (#41302)
  * (51585f) tests: remove warning on Element.getchildren() (#41302)
  * (80bdcd) tox.ini: add py3 run (#41302)
  * (4283c9) tox: limit tests to django 1.11 (#41290)
  * (9a4569) add Jenkinsfile
  * (327919) tox.ini: limit to pytest-django<3.4.6
  * (ed84f6) pin django-webtest (#23608)
  * (15115b) jenkins.sh: add Django to compile translations
  * (d45aa6) tests: test admin pages
  * (8849b4) admin: do not link to petale view on the partner name use the id
  * (b7adc1) debian: load settings from settings.d

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 08 Apr 2020 13:41:18 +0200

petale (1.1) buster-eobuilder; urgency=low

  * (c3dbb7) add setting to disable UUID check on authentic (fixes #21453)
  * (963582) django 1.11 support (fixes #21116)
  * (d04235) models: change path construction in petal_directory (fixes #21111)
  * (c39bf2) debian: add systemd service file and replace gunicorn by uwsgi (fixes
    #21114)
  * (d8887a) tox.ini: remove pytest-catchlog now part of pytest (fixes #21113)
  * (9f8b84) pylint.sh: remove debugging statements (#21113)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 26 Jan 2018 22:24:06 +0100

petale (1.0) buster-eobuilder; urgency=low

  * (15dffd) make Cut.uuid unique (fixes #21002)
  * (726a22) setup.py: constrain djangorestframework version (fixes #21072)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 10 Jan 2018 14:19:53 +0100

petale (0.10) buster-eobuilder; urgency=low

  * (567731) fix pylint warnings as exercise
  * (740870) tests: fix urllib3 warning about unverified HTTPS request
  * (10dd95) tests: fix deprecation warning
  * (3ad3bb) models: use kilobytes in size limits, use bigintegerfield for
    partner.size (fixes #19497)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 18 Oct 2017 16:53:51 +0200

petale (0.9) buster-eobuilder; urgency=low

  * (a96838) ensure concurrent PUT does not raise an IntegrityError (fixes #19384)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 11 Oct 2017 18:23:13 +0200

petale (0.8) buster-eobuilder; urgency=low

  * (361364) tox.ini: replace capturelog by catchlog
  * (2a1cec) api_views: test if file exists before returning the
    StreamingHttpResponse

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 27 Sep 2017 17:28:50 +0200

petale (0.7) buster-eobuilder; urgency=low

  * (45f8b4) debian: crée /var/lib/petale/media
  * (430a9d) renvoyer key-not-found sur un GET d'une clé inconnue d'un pétale
    existant (fixes #17810)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 26 Jul 2017 16:14:13 +0200

petale (0.6) buster-eobuilder; urgency=low

  * (078242) api_views: create CUT object when CUT is known from authentic but not
    from petale

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 26 Jul 2017 00:08:47 +0200

petale (0.5) buster-eobuilder; urgency=low

  * (9a632a) debian_config: remove sentry support
  * (bdb0dc) debian_config: simplify log format since we do not have hobo log
    filters
  * (550120) api_views: do not check SSL certificate of authentic, we are in a
    walled garden
  * (f97405) api_views: log when a CUT id is unknown

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 21 Jul 2017 14:58:10 +0200

petale (0.4) buster-eobuilder; urgency=low

  * (558d2f) enlarge CUT.uuid to accomodate encrypted pairwise subs (less thant 100
    bytes usually)
  * (8be9ce) api_views: use received credentials when checking cut_id on authentic
  * (0e65ac) authentication: log more, return error from authentic on credentials
    check
  * (5fc133) authentication: do not check SSL certificate, we are in a closed garden

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 21 Jul 2017 14:17:33 +0200

petale (0.3) buster-eobuilder; urgency=low

  * (fc3b6e) add idp based cut control (#14976)
  * (cde048) api: add cut's petals purge (#17605)
  * (577ae9) fix: RP client saving after proxy authentication (#17548)
  * (7e9b9d) settings: remove typo in logging configuration (#16922)
  * (1daab6) misc: add requests dependancies
  * (a47fa1) deleguate authentication to authentic (#16579)
  * (481e05) return 404 if cut uuid length over 32 (#16649)
  * (7b242a) api: fix extraction of If-Match header in DELETE endpoint (fixes
    #15791)
  * (3db90a) api: handle PreconditionException in the DELETE endpoint (fixes #15791)
  * (942488) tests: clean temporary MEDIA_ROOT
  * (f745b5) fix typo (fixes #15705)
  * (fc7b09) fix exception handling for missing partners (#15685)
  * (014d6d) setup.py: fix missing sys import
  * (7c4421) setup.py: conform to PEP440
  * (efe31c) add french locale
  * (60b1b8) change Petal.__unicode__
  * (6e2856) improve models
  * (021a01) improve admin pages
  * (a3a56d) never returns cut-not-found until we really check against authentic
  * (6b88de) move implementation of limit checks and mail sending in models
  * (43f74d) do not load full request body into memory
  * (00a930) rename URL keywords

