## petale 1.9.post7+gb0e2b8b-1~eob110+1

=== debian/changelog ===
petale (1.9.post7+gb0e2b8b-1~eob110+1) bullseye-eobuilder; urgency=low

  * (b0e2b8) misc: update git-blame-ignore-revs to ignore quote changes (#79788)
  * (1dd4ed) misc: apply double-quote-string-fixer (#79788)
  * (4edb5c) misc: add pre commit hook to force single quotes (#79788)
  * (97ae4d) debian: remove memory-report from uwsgi default configuration (#79890)
  * (a2e365) ci: build deb package for bookworm (#78968)
  * (b1db08) debian: apply new pre-commit-debian (#77727)
  * (07ad84) ci: upgrade pre-commit-debian (#77727)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 16 Aug 2023 11:53:10 +0200

petale (1.9) bullseye-eobuilder; urgency=low

  * (a989f6) debian: restart petale every minute (#75725)
  * (64d0db) Prepare Jenkinsfile for Gitea migration (#74572)
  * (32ef9e) ci: upgrade isort (#74044)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 22 Mar 2023 18:06:12 +0100

petale (1.8) bullseye-eobuilder; urgency=low

  * (fe2b44) misc: silence pylint warning (#72942)
  * (972ce3) dj32: remove use of force_text (#72942)
  * (9e1e43) dj32: adjust UI strings in admin interface tests (#72942)
  * (3f70e5) dj32: replace url by re_path (#72942)
  * (321be9) dj32: replace ugettext_lazy by gettext_lazy (#72942)
  * (6b4e71) dj32: run tests with django 3.2 (#72942)
  * (451f34) ci: only build package for bullseye (#72729)
  * (5bbcdf) ci: limit tox version used while running tests (#72165)
  * (b167d0) ci: update pyupgrade to 3.1.0 (#70693)
  * (d02820) misc: always check idp certificate (#68471)
  * (9e7d2f) misc: always set a timeout on requests (#68471)
  * (8edd40) debian: remove obsolete standard error output config from systemd unit
    (#65101)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 10 Jan 2023 19:18:45 +0100

petale (1.7) bullseye-eobuilder; urgency=low

  * (6d19c3) pylint: remove obsolete options
  * (55587c) debian: switch to debhelper-compat 12 (#57538)
  * (311aa1) debian/trivial: apply pre-commit-debian
  * (b0f9b8) misc: add pre-commit-debian
  * (f6c66c) ci: build for both buster and bullseye (#67061)
  * (75ce19) Fix tests...
  * (cc6a53) Use verify=True to remove requests warnings

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 06 Jul 2022 13:04:36 +0200

petale (1.6) bullseye-eobuilder; urgency=low

  * (9f183d) clean: remove files and take partner's info on command line

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 29 Apr 2022 23:40:50 +0200

petale (1.5) bullseye-eobuilder; urgency=low

  * (aed595) misc: fix typo PETALE_AUTHENTIC_CREDS -> PETALE_AUTHENTIC_AUTH (#646950
  * (3fe60f) tox.ini: remove limitation on django-webtest (#64695)
  * (16ba0f) tox.ini: do not fail on ImportWarning from six (#64695)
  * (f34a68) trivial: bump black version to 22.3.0

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 29 Apr 2022 11:51:45 +0200

petale (1.4) bullseye-eobuilder; urgency=low

  * (b49f8d) misc: add clean command (#60348)
  * (4c28f2) tox: add check-migrations environment
  * (af7e40) tox: fix pylint
  * (2ce0cf) tox: add code-style target
  * (283a0e) misc: remove byte strings in migrations
  * (b5bd13) setup.py: limit compatibility to django<2.3
  * (7c5c73) tox: add manage target
  * (709472) trivial: remove python 2 from classifiers
  * (01c0e8) tests: add context managers required by python3 (#60657)
  * (972359) jenkins: use python3 to get a port for postgresql (#60467)
  * (225172) tox: switch pylint to use python3
  * (608193) tox: stop testing against django 1.11
  * (20f20c) tox: limit psycopg2 to < 2.9 (#54925)
  * (9af76d) debian: enable uwsgi memory reports (#54610)
  * (4183b0) build: update to use origin/main
  * (808ce2) tox.ini: add warning filters
  * (7d7ddd) tox.ini: remove py3 support, set default drf version to 3.9
  * (e9ba12) Jenkinsfile: always clean build directories
  * (b28fe2) tox: limit drf version when testing against django 1.11
  * (78f7e8) tox: limit mock version for compatibility with python 3.5
  * (91c77f) tox: tell setuptools to use distutils from stdlib (#46252)
  * (97c483) Jenkinsfile: use virtualenv and pg_virtualenv

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 17 Mar 2022 19:03:31 +0100

petale (1.3) bullseye-eobuilder; urgency=low

  * (75dc1f) api_views: use atomicwrites for writing petale content (#41379)
  * (7b292a) api_views: use loop to prevent NFS errors on GET (#41379)
  * (9a2c6b) tests: test concurrent GET / PUT (#41379)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 09 Apr 2020 13:09:57 +0200

petale (1.2) bullseye-eobuilder; urgency=low

  * (763559) release 1.2
  * (37a010) debian: prevent install of python-petale (#41302)
  * (571965) debian: adapt debian_config.py for Python 3 (#41302)
  * (93ccbc) debian: python3 packaging (#41374)
  * (e030f6) python3: pass strings to json.loads, for py3.5 compatibility (#41302)
  * (b1e015) misc: style (#41302)
  * (4524cb) misc: python3 compatibility (#41302)
  * (f7d4dc) dj111: use MIDDLEWARE (#41302)
  * (3100df) dj111: do not use include (#41302)
  * (34d434) dj111: set on_delete=models.CASCADE (#41302)
  * (51585f) tests: remove warning on Element.getchildren() (#41302)
  * (80bdcd) tox.ini: add py3 run (#41302)
  * (4283c9) tox: limit tests to django 1.11 (#41290)
  * (9a4569) add Jenkinsfile
  * (327919) tox.ini: limit to pytest-django<3.4.6
  * (ed84f6) pin django-webtest (#23608)
  * (15115b) jenkins.sh: add Django to compile translations
  * (d45aa6) tests: test admin pages
  * (8849b4) admin: do not link to petale view on the partner name use the id
  * (b7adc1) debian: load settings from settings.d

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 08 Apr 2020 13:41:18 +0200

petale (1.1) bullseye-eobuilder; urgency=low

  * (c3dbb7) add setting to disable UUID check on authentic (fixes #21453)
  * (963582) django 1.11 support (fixes #21116)
  * (d04235) models: change path construction in petal_directory (fixes #21111)
  * (c39bf2) debian: add systemd service file and replace gunicorn by uwsgi (fixes
    #21114)

