=== debian/control ===
Source: petale
Maintainer: Benjamin Dauvergne <bdauvergne@entrouvert.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-django,
               python3-setuptools,
Standards-Version: 3.9.6

Package: python3-petale
Architecture: all
Depends: python3-atomicwrites,
         python3-django (>= 1.11),
         python3-django-jsonfield,
         python3-djangorestframework,
         python3-requests,
         ${misc:Depends},
         ${python3:Depends},
Description: Simple key value datastore

Package: petale
Architecture: all
Depends: python3-petale (= ${binary:Version}),
         python3-psycopg2,
         uwsgi,
         uwsgi-plugin-python3,
         ${misc:Depends},
Breaks: python-petale (<< 1.2),
Replaces: python-petale (<< 1.2),
Recommends: nginx,
Description: Simple key value datastore
