## petale 1.9.post9+gc7a9ae1-1~eob110+1

=== debian/changelog ===
petale (1.9.post9+gc7a9ae1-1~eob110+1) bullseye-eobuilder; urgency=low

  * (c7a9ae) wip: pre-commit-hook failed
  * (7382c9) debian: add a dependancy on service authentic2-multitenant (#75460)
  * (b0e2b8) misc: update git-blame-ignore-revs to ignore quote changes (#79788)
  * (1dd4ed) misc: apply double-quote-string-fixer (#79788)
  * (4edb5c) misc: add pre commit hook to force single quotes (#79788)
  * (97ae4d) debian: remove memory-report from uwsgi default configuration (#79890)
  * (a2e365) ci: build deb package for bookworm (#78968)
  * (b1db08) debian: apply new pre-commit-debian (#77727)
  * (07ad84) ci: upgrade pre-commit-debian (#77727)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 22 Aug 2023 17:08:46 +0200
