=== debian/control ===
--- 
+++ 
@@ -22,7 +22,8 @@
 
 Package: petale
 Architecture: all
-Depends: python3-petale (= ${binary:Version}),
+Depends: authentic2-multitenant,
+         python3-petale (= ${binary:Version}),
          python3-psycopg2,
          uwsgi,
          uwsgi-plugin-python3,
