=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_DISABLE=test
export PYBUILD_NAME=petale

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	mv $(CURDIR)/debian/python3-petale/usr/bin/manage.py debian/petale/usr/lib/petale/
	dh_install
