## petale 1.11.post5+g4d695ff-1~eob120+1

=== debian/changelog ===
petale (1.11.post5+g4d695ff-1~eob120+1) bookworm-eobuilder; urgency=low

  * (4d695f) ci: remove build for bullseye (#110394)
  * (ae77e0) misc: ignore file not found during cleaning (#110402)
  * (7e4054) upgrade tox.ini and setup.py (#110394)
  * (038628) settings: add request context processor to fix warning (admin.W411)
    (#110394)
  * (655e0d) settings: add DEFAULT_AUTO_FIELD to fix warnings models.W042 (#110394)

 -- eobuilder <eobuilder@entrouvert.com>  Sat, 27 Sep 2025 10:36:14 +0200

petale (1.11) bookworm-eobuilder; urgency=low

  * (7cb04b) misc: let pre-commit apply changes (#101218)
  * (ba2ffc) ci: add django-upgrade (#101218)
  * (4327d8) ci: change pyupgrade to target python 3.11 (#101218)
  * (7fe275) ci: update pyupgrade version (#101218)
  * (f6c8ec) ci: update black version (#101218)
  * (374b11) ci: change black to target python 3.11 (#101218)
  * (c37429) trivial: update pre-commit-hooks to 4.6.0 (#93275)
  * (439762) ci: keep on using pylint 2 while pylint-django is not ready (#81905)
  * (df316a) tests: change expected http error on authentication failure (#81376)
  * (cdca28) tox.ini: use psycopg2-binary

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 09 Feb 2025 15:19:22 +0100
