## petale 1.12.post7+gb717432-1~eob120+1

=== debian/changelog ===
petale (1.12.post7+gb717432-1~eob120+1) bookworm-eobuilder; urgency=low

  * (b71743) models: update partner size on petal deletion
  * (510e63) models: notify partners of space exhaustion more frequently
  * (565637) api: lock petale during PUT calls
  * (c32081) misc: update partner size after cleaning
  * (32e139) misc: log to petale handler only
  * (0c5de1) ci: fix tox manage target
  * (d97fbf) translation update

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 13 Oct 2025 18:00:41 +0200

petale (1.12) bookworm-eobuilder; urgency=low

  * (4d695f) ci: remove build for bullseye (#110394)
  * (ae77e0) misc: ignore file not found during cleaning (#110402)
  * (7e4054) upgrade tox.ini and setup.py (#110394)
  * (038628) settings: add request context processor to fix warning (admin.W411)
    (#110394)
  * (655e0d) settings: add DEFAULT_AUTO_FIELD to fix warnings models.W042 (#110394)

 -- eobuilder <eobuilder@entrouvert.com>  Sat, 27 Sep 2025 10:36:14 +0200
