## petale 1.14-1~eob120+1

=== debian/changelog ===
petale (1.14-1~eob120+1) bookworm-eobuilder; urgency=low

  * (4cd233) ci: also build package for trixie (#111016)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 21 Oct 2025 23:49:41 +0200

petale (1.13) bookworm-eobuilder; urgency=low

  * (b71743) models: update partner size on petal deletion
  * (510e63) models: notify partners of space exhaustion more frequently
  * (565637) api: lock petale during PUT calls
  * (c32081) misc: update partner size after cleaning
  * (32e139) misc: log to petale handler only
  * (0c5de1) ci: fix tox manage target
  * (d97fbf) translation update

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 13 Oct 2025 18:00:41 +0200
