## petale 1.14-1~eob130+1

=== debian/changelog ===
petale (1.14-1~eob130+1) trixie-eobuilder; urgency=low

  * (4cd233) ci: also build package for trixie (#111016)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 21 Oct 2025 23:49:41 +0200

petale (1.13) trixie-eobuilder; urgency=low

  * (b71743) models: update partner size on petal deletion
  * (510e63) models: notify partners of space exhaustion more frequently
  * (565637) api: lock petale during PUT calls
  * (c32081) misc: update partner size after cleaning
  * (32e139) misc: log to petale handler only
  * (0c5de1) ci: fix tox manage target
  * (d97fbf) translation update

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 13 Oct 2025 18:00:41 +0200

petale (1.12) trixie-eobuilder; urgency=low

  * (4d695f) ci: remove build for bullseye (#110394)
  * (ae77e0) misc: ignore file not found during cleaning (#110402)
  * (7e4054) upgrade tox.ini and setup.py (#110394)
  * (038628) settings: add request context processor to fix warning (admin.W411)
    (#110394)
  * (655e0d) settings: add DEFAULT_AUTO_FIELD to fix warnings models.W042 (#110394)

 -- eobuilder <eobuilder@entrouvert.com>  Sat, 27 Sep 2025 10:36:14 +0200

petale (1.11) trixie-eobuilder; urgency=low

  * (7cb04b) misc: let pre-commit apply changes (#101218)
  * (ba2ffc) ci: add django-upgrade (#101218)
  * (4327d8) ci: change pyupgrade to target python 3.11 (#101218)
  * (7fe275) ci: update pyupgrade version (#101218)
  * (f6c8ec) ci: update black version (#101218)
  * (374b11) ci: change black to target python 3.11 (#101218)
  * (c37429) trivial: update pre-commit-hooks to 4.6.0 (#93275)
  * (439762) ci: keep on using pylint 2 while pylint-django is not ready (#81905)
  * (df316a) tests: change expected http error on authentication failure (#81376)
  * (cdca28) tox.ini: use psycopg2-binary

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 09 Feb 2025 15:19:22 +0100

petale (1.10) trixie-eobuilder; urgency=low

  * (c7a9ae) wip: pre-commit-hook failed
  * (7382c9) debian: add a dependancy on service authentic2-multitenant (#75460)
  * (b0e2b8) misc: update git-blame-ignore-revs to ignore quote changes (#79788)
  * (1dd4ed) misc: apply double-quote-string-fixer (#79788)
  * (4edb5c) misc: add pre commit hook to force single quotes (#79788)
  * (97ae4d) debian: remove memory-report from uwsgi default configuration (#79890)
  * (a2e365) ci: build deb package for bookworm (#78968)
  * (b1db08) debian: apply new pre-commit-debian (#77727)
  * (07ad84) ci: upgrade pre-commit-debian (#77727)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 22 Aug 2023 17:08:46 +0200

petale (1.9) trixie-eobuilder; urgency=low

  * (a989f6) debian: restart petale every minute (#75725)
  * (64d0db) Prepare Jenkinsfile for Gitea migration (#74572)
  * (32ef9e) ci: upgrade isort (#74044)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 22 Mar 2023 18:06:12 +0100

petale (1.8) trixie-eobuilder; urgency=low

  * (fe2b44) misc: silence pylint warning (#72942)
  * (972ce3) dj32: remove use of force_text (#72942)
  * (9e1e43) dj32: adjust UI strings in admin interface tests (#72942)
  * (3f70e5) dj32: replace url by re_path (#72942)
  * (321be9) dj32: replace ugettext_lazy by gettext_lazy (#72942)
  * (6b4e71) dj32: run tests with django 3.2 (#72942)
  * (451f34) ci: only build package for bullseye (#72729)
  * (5bbcdf) ci: limit tox version used while running tests (#72165)
  * (b167d0) ci: update pyupgrade to 3.1.0 (#70693)
  * (d02820) misc: always check idp certificate (#68471)
  * (9e7d2f) misc: always set a timeout on requests (#68471)
  * (8edd40) debian: remove obsolete standard error output config from systemd unit
    (#65101)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 10 Jan 2023 19:18:45 +0100

petale (1.7) trixie-eobuilder; urgency=low

  * (6d19c3) pylint: remove obsolete options
  * (55587c) debian: switch to debhelper-compat 12 (#57538)
  * (311aa1) debian/trivial: apply pre-commit-debian
  * (b0f9b8) misc: add pre-commit-debian
  * (f6c66c) ci: build for both buster and bullseye (#67061)
  * (75ce19) Fix tests...
  * (cc6a53) Use verify=True to remove requests warnings

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 06 Jul 2022 13:04:36 +0200

petale (1.6) trixie-eobuilder; urgency=low

  * (9f183d) clean: remove files and take partner's info on command line

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 29 Apr 2022 23:40:50 +0200

petale (1.5) trixie-eobuilder; urgency=low

  * (aed595) misc: fix typo PETALE_AUTHENTIC_CREDS -> PETALE_AUTHENTIC_AUTH (#646950
  * (3fe60f) tox.ini: remove limitation on django-webtest (#64695)
  * (16ba0f) tox.ini: do not fail on ImportWarning from six (#64695)
  * (f34a68) trivial: bump black version to 22.3.0

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 29 Apr 2022 11:51:45 +0200

petale (1.4) trixie-eobuilder; urgency=low

  * (b49f8d) misc: add clean command (#60348)
  * (4c28f2) tox: add check-migrations environment
  * (af7e40) tox: fix pylint
  * (2ce0cf) tox: add code-style target
  * (283a0e) misc: remove byte strings in migrations
  * (b5bd13) setup.py: limit compatibility to django<2.3
  * (7c5c73) tox: add manage target
  * (709472) trivial: remove python 2 from classifiers
  * (01c0e8) tests: add context managers required by python3 (#60657)
  * (972359) jenkins: use python3 to get a port for postgresql (#60467)
  * (225172) tox: switch pylint to use python3
  * (608193) tox: stop testing against django 1.11
  * (20f20c) tox: limit psycopg2 to < 2.9 (#54925)
  * (9af76d) debian: enable uwsgi memory reports (#54610)
  * (4183b0) build: update to use origin/main
  * (808ce2) tox.ini: add warning filters
  * (7d7ddd) tox.ini: remove py3 support, set default drf version to 3.9
  * (e9ba12) Jenkinsfile: always clean build directories
  * (b28fe2) tox: limit drf version when testing against django 1.11
  * (78f7e8) tox: limit mock version for compatibility with python 3.5
  * (91c77f) tox: tell setuptools to use distutils from stdlib (#46252)
  * (97c483) Jenkinsfile: use virtualenv and pg_virtualenv
